  
function Skinner:XRS()

	self:SecureHook(XRS, "SetupFrames", function()                                                       
		-->>-- Tooltip
		if self.db.profile.Tooltips.style == 3 then XRSTooltip:SetBackdrop(backdrop) end
		self:skinTooltip(XRSTooltip)
		self:applySkin(XRSFrame)
	end)

	-- remember to reskin on reloadui	
	if getglobal("XRSFrame") ~= nil then
		if self.db.profile.Tooltips.style == 3 then XRSTooltip:SetBackdrop(backdrop) end
		self:skinTooltip(XRSTooltip)
		self:applySkin(XRSFrame)
	end		
end
